- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends

# QTextInlineObject Class Reference

Search for all occurrences

## Detailed Description

Definition at line 67 of file qtextlayout.h.

`#include <qtextlayout.h>`

List of all members.

## Public Member Functions
| QTextInlineObject (int i, QTextEngine *e)
| QTextInlineObject ()
bool | isValid () const
QRectF | rect () const
qreal | width () const
qreal | ascent () const
qreal | descent () const
qreal | height () const
Qt::LayoutDirection | textDirection () const
void | setWidth (qreal w)
void | setAscent (qreal a)
void | setDescent (qreal d)
int | textPosition () const
int | formatIndex () const
QTextFormat | format () const
## Friends
class | QTextLayout

## Constructor & Destructor Documentation

QTextInlineObject | ( | int | i,
|  | QTextEngine * | e
| ) |  | `[inline]`

Definition at line 70 of file qtextlayout.h.

    : itm(i), eng(e) {}

QTextInlineObject | ( |  | ) | `[inline]`

Definition at line 71 of file qtextlayout.h.

    : itm(0), eng(0) {}

## Member Function Documentation

bool isValid | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 72 of file qtextlayout.h.

    { return eng; }

QRectF rect | ( |  | ) | const

Search for all occurrences

qreal width | ( |  | ) | const

Search for all occurrences

qreal ascent | ( |  | ) | const

Search for all occurrences

qreal descent | ( |  | ) | const

Search for all occurrences

qreal height | ( |  | ) | const

Search for all occurrences

Qt::LayoutDirection textDirection | ( |  | ) | const

Search for all occurrences

void setWidth | ( | qreal | w | ) |

Search for all occurrences

void setAscent | ( | qreal | a | ) |

Search for all occurrences

void setDescent | ( | qreal | d | ) |

Search for all occurrences

int textPosition | ( |  | ) | const

Search for all occurrences

int formatIndex | ( |  | ) | const

Search for all occurrences

QTextFormat format | ( |  | ) | const

Search for all occurrences

## Friends And Related Function Documentation

friend class QTextLayout `[friend]`

Search for all occurrences

Definition at line 92 of file qtextlayout.h.

The documentation for this class was generated from the following file:

- QtGui/qtextlayout.h

QTextInlineObject QTextInlineObject QTextInlineObject QTextInlineObject QTextInlineObject QTextInlineObject QTextInlineObject QTextInlineObject QTextInlineObject QTextInlineObject
QTextInlineObject QTextInlineObject QTextInlineObject QTextInlineObject QTextInlineObject QTextInlineObject QTextInlineObject QTextInlineObject QTextInlineObject QTextInlineObject